### Function

# Vips Operation block_set

#### Declaration [src]

    void
    vips_operation_block_set (
      const char* name,
      gboolean state
    )

#### Description [src]

Set the block state on all operations in the libvips class hierarchy at `name` and below.

For example:

    vips_operation_block_set("VipsForeignLoad", TRUE);
    vips_operation_block_set("VipsForeignLoadJpeg", FALSE);

Will block all load operations, except JPEG.

Use `vips -l` at the command-line to see the class hierarchy.

This call does nothing if the named operation is not found.

See also

`vips_block_untrusted_set()`.

#### Parameters

`name`

  Type: `const char*`

  Set block state at this point and below.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`state`

  Type: `gboolean`

  The block state to set.